Componette

Componette

nextras

nextras / secured-links v1.7.0

CSRF protection for Nette Framework presenters' signals.

download-cloud-line composer require nextras/secured-links

Nextras Secured Links

Build Status Downloads this Month Stable Version

Secures GET requests in Nette Framework against CSRF attacks.

Installation

Use composer:

$ composer require nextras/secured-links

Docs & sources

License

MIT. See full license.

  • v1.7.0 1.7.0

    • PHP 8 support
    • replaced Travis CI with GitHub actions
    • session expiration can be configured
  • v1.6.0 1.6.0

    New minor version is here! ๐Ÿงถ

  • v1.5.1 1.5.1

    Patch version is here! ๐ŸŽ

  • v1.5.0 1.5.0

    Stable release is here! ๐ŸŒ

    • minimal version is Nette Framework 3.0
    • implemented support for Nette Framework 3.0 - thanks @PavelJurasek
    • see full changelog
  • v1.4.0 1.4.0

    Stable release is here! ๐Ÿ

    • minimal version is PHP 5.6 & Nette Framework 2.4
    • increased CSRF token entropy
    • fixed support for typehinted parameters & their normalization
    • see full changelog
  • v1.3.1 1.3.1

    • allowed PHP 7 in composer
bar-chart-fill

Statistics

download-cloud-fill
299487
star-fill
56
bug-fill
5
flashlight-fill
143d
price-tag-2-line

Badges

guide-fill

Dependencies

Componette Componette felix@nette.org